Bug 167247 - Rendering is flakey when selecting/unselecting text in PDFs
Rendering is flakey when selecting/unselecting text in PDFs
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
http://folk.uio.no/oyvinst/evince_bug/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-31 17:21 EDT by Øyvind Stegard
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 20:48:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Øyvind Stegard 2005-08-31 17:21:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nb-NO; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Rendering is very flakey when doing text-selection in PDF documents (I also noticed a new type of text-selection method in evince 0.4 compared to 0.3). Text around the selection area disappears, the selected text disappears when the window loses focus, sometimes the entire page disappears. It can usually be fixed by unfocusing/refocusing the evince window, or in some other way, force a re-display.

I have created screenshots and put them in the following place:
http://folk.uio.no/oyvinst/evince_bug/
The first screenshots is part of a document with no selected text, and OK display. The second shows what happens when selecting part of the text, then taking a screenshot (makes evince lose focus). The third shows that sometimes all the text simply disappears.


Version-Release number of selected component (if applicable):
evince-0.4.0-1.1, poppler-0.4.1-1.1

How reproducible:
Always

Steps to Reproduce:
1. Open PDF
2. Play around with selecting/de-selecting text
3. Observe flakey rendering, disappearing text, etc.
  

Actual Results:  Rendering flaws.

Expected Results:  No rendering flaws.

Additional info:

Reproduced with both nvidia official drivers (GeForce FX5700 card), and the 'radeon' Xorg driver (ATI IGP320 card), _same_ behaviour. This indicates a very low probablity that this is an Xorg driver problem.
Comment 1 Marco Pesenti Gritti 2005-09-01 03:49:00 EDT
Yes, this is a reproducable problem which appears only with the poppler splash
backend.
Comment 2 Kristian Høgsberg 2006-09-21 20:48:17 EDT
Closing as WORKSFORME - if you have a specific PDF that doesn't work with evince
please open a bug and attach the PDF.

Thanks, Kristian

Note You need to log in before you can comment on or make changes to this bug.